### Function

# Gegllist_operations

#### Declaration [src]

    gchar**
    gegl_list_operations (
      guint* n_operations_p
    )

#### Description

No description available.

#### Parameters

`n_operations_p`

  Type: `guint*`

  Return location for number of operations.

  The argument will be set by the function.

#### Return value

Type: An array of `utf8`

An alphabetically sorted array of available operation names. This excludes any compat-name registered by operations. The list should be freed with g_free after use.

gchar **operations; guint n_operations; gint i;

operations = gegl_list_operations (&n_operations); g_print (“Available operations:\n”); for (i=0; i < n_operations; i++) { g_print (“\t%s\n”, operations[i]); } g_free (operations);.

The length of the array is in the `n_operations_p` argument.
The caller of the function takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.